Jump to content

This Is How To Set Up A 1.2.3 Server With Hack/Mine


howlphoenix
 Share

Recommended Posts

First you need the 1.2.3 server jar file, you can create one using this program: http://dl.adshi.net/minecraft/versionchanger/MVC.zip

If you have windows 64 bit or Mac/Linux then download this one: http://contrillion.com/mvc/mvc/dl/Minecraft%20Version%20Changer.exe

You need to have .NET Framework installed for this to work.

Find where it says 'Full 1.2.3' and click it, then find on the right hand side of the screen where it says 'Server'. Then choose a folder to put it (Probably the server folder)

Second you need to get the server files from Frizzil's forum post: https://yogscast.com/showthread.php?46534-MOD-Hack-Slash-Mine!-(Magical-Loot-System-Randomized-Dungeons-and-More!!! The server files are in the download for the mod itself.

Drag the server files into the 1.2.3 Server jar whilst it is open with WinRAR.

(WARNING: 0.5.3 Pre-Release does not work with Multi-player yet. Use 0.5.2 Until 0.5.3 Has actually came out. Thank you)

Third, set up your server the way you normally would. CraftBukkit is not supported by this mod yet so you can't run Hack/Mine on it.

Fourth, Go adventure with your friends!

sigpic172458_1.gif

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

when i use versionchanger and get the server, before i even bring hack/mine into it i try and launch the server but it just comes up with tones of errors saying something about st.a and st.b, im pretty sure it means it cant find them 2 classes but idk

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

when i use versionchanger and get the server, before i even bring hack/mine into it i try and launch the server but it just comes up with tones of errors saying something about st.a and st.b, im pretty sure it means it cant find them 2 classes but idk

It is possible that it has not installed correct, make sure that you have the latest java and retry it. If you still have problems or already have the latest java just try to download it again or go to the forum post for better advice: http://www.minecraftforum.net/topic/877629-minecraft-version-changer-135-5-windows%E2%94%82mac%E2%94%82linux-50k-dls/
Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

i dont know much about computers and servers and stuff but my laptop is 64 bit and i just tried the 64bit version changer u posted but i still get the same problem

Have you got .NET Framework? Without that the program can't access the files properly.
Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

Okay to everyone having the issue with the server not running, and getting the scrolling errors about st.a and st.b; you are getting access violation errors. the server is trying to write file to the hard drive. There are two fixes for it:

1) Move your server files to a folder in the root of C: drive and run it from there. A separate hard drive would be better though.

or

2) IF you absolutely have to run it with the folder on the desktop; then you need to grant java admin privileges (not recommended) so it can write files to the hard drive.

The problem is that the desktop is in protected space. that protected space cannot be written to without administrator privileges or the users consent. I highly recommend you use option 1 as option two will give java carte blanche of the operating system severely increasing the risk of unwanted intrusions from the web.

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

Please, somebody, give me WORK SERVER, my skype myortbiy, I RUSSIAN(sorry for language errors).

Пожалуйста, кто-нибудь, дайте мне РАБОЧИЙ СЕРВЕР, мой скайп myortbiy, Я РУССКИЙ(извините за языковые ошибки).

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

Please, somebody, give me WORK SERVER, my skype myortbiy, I RUSSIAN(sorry for language errors).

??????????, ???-??????, ????? ??? ??????? ??????, ??? ????? myortbiy, ? ???????(???????? ?? ???????? ??????).

Just add me on skype
Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

Did you get the new server files from the Yogscast forum? Downlaod the mod from the but don't install it the server stuff should be in there.

I did so, got a 1.2.3 JAR and installed it correctly 3 times. Made java admin and when I try to connect says outdated server.

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

It is possible that the client you are using and the version of the server are different. The version on Technic launcher is 0.5.3 but the server is 0.5.2 since 0.5.3 is a pre-release version of hack/mine. If you go to settings in Technic launcher choose manual select version then click 0.5.2 until 0.5.3 comes out with server.

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

So I currently have a 0.5.2 server (minecraft 1.2.3) that me and my friends connect to using the Technic Launcher ensuring to launch 0.5.2 version of the game and everything works just fine. I recently decided to try out 0.5.3, I noticed two versions floating around, a pre prelease and the main 0.5.3 release that came out on the 02/05/12.

This time round I'm having a serious problems with setting up this 0.5.3 server, I'm doing everything as I did with 0.5.2, downloading a fresh copy of 1.2.3 mincraft server and the new release and moving in the contents of the 'server' folder using WinRAR but whenever I start the server I get:

Exception in thread "main" java.lang.ExceptionInInitializerError

    at ek.<clinit>(SourceFile:5)

    at ib.l(Item.java:528)

    at kw.a(SourceFile:139)

    at kw.c(SourceFile:86)

    at ib.<clinit>(Item.java:814)

    at vw.<clinit>(Block.java:1164)

    at kw.a(SourceFile:122)

    at kw.<clinit>(SourceFile:56)

    at net.minecraft.server.MinecraftServer.main(MinecraftServer.java:636)

Caused by: java.lang.NullPointerException

    at java.io.Reader.<init>(Unknown Source)

    at java.io.InputStreamReader.<init>(Unknown Source)

    at on.a(StringTranslate.java:62)

    at on.a(StringTranslate.java:92)

    at on.<init>(StringTranslate.java:25)

    at on.<clinit>(StringTranslate.java:9)

    ... 9 more

If I just place a normal minecraft_server.jar file into the folder everything starts fine, so does my .jar file for a tekkit server. I'm really confused I see that it is possible to run 0.5.3 servers as there are many listed on this forum. Is anyone able to help me I feel so silly. I've tried the server files from both the 0.5.3 prerelease and the main release with the same problem.

Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

So I currently have a 0.5.2 server (minecraft 1.2.3) that me and my friends connect to using the Technic Launcher ensuring to launch 0.5.2 version of the game and everything works just fine. I recently decided to try out 0.5.3, I noticed two versions floating around, a pre prelease and the main 0.5.3 release that came out on the 02/05/12.

This time round I'm having a serious problems with setting up this 0.5.3 server, I'm doing everything as I did with 0.5.2, downloading a fresh copy of 1.2.3 mincraft server and the new release and moving in the contents of the 'server' folder using WinRAR but whenever I start the server I get:

Exception in thread "main" java.lang.ExceptionInInitializerError

    at ek.<clinit>(SourceFile:5)

    at ib.l(Item.java:528)

    at kw.a(SourceFile:139)

    at kw.c(SourceFile:86)

    at ib.<clinit>(Item.java:814)

    at vw.<clinit>(Block.java:1164)

    at kw.a(SourceFile:122)

    at kw.<clinit>(SourceFile:56)

    at net.minecraft.server.MinecraftServer.main(MinecraftServer.java:636)

Caused by: java.lang.NullPointerException

    at java.io.Reader.<init>(Unknown Source)

    at java.io.InputStreamReader.<init>(Unknown Source)

    at on.a(StringTranslate.java:62)

    at on.a(StringTranslate.java:92)

    at on.<init>(StringTranslate.java:25)

    at on.<clinit>(StringTranslate.java:9)

    ... 9 more

If I just place a normal minecraft_server.jar file into the folder everything starts fine, so does my .jar file for a tekkit server. I'm really confused I see that it is possible to run 0.5.3 servers as there are many listed on this forum. Is anyone able to help me I feel so silly. I've tried the server files from both the 0.5.3 prerelease and the main release with the same problem.

I'll look into it. My computer is nt letting me run jar files right now....
Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

So I currently have a 0.5.2 server (minecraft 1.2.3) that me and my friends connect to using the Technic Launcher ensuring to launch 0.5.2 version of the game and everything works just fine. I recently decided to try out 0.5.3, I noticed two versions floating around, a pre prelease and the main 0.5.3 release that came out on the 02/05/12.

This time round I'm having a serious problems with setting up this 0.5.3 server, I'm doing everything as I did with 0.5.2, downloading a fresh copy of 1.2.3 mincraft server and the new release and moving in the contents of the 'server' folder using WinRAR but whenever I start the server I get:

Exception in thread "main" java.lang.ExceptionInInitializerError

    at ek.<clinit>(SourceFile:5)

    at ib.l(Item.java:528)

    at kw.a(SourceFile:139)

    at kw.c(SourceFile:86)

    at ib.<clinit>(Item.java:814)

    at vw.<clinit>(Block.java:1164)

    at kw.a(SourceFile:122)

    at kw.<clinit>(SourceFile:56)

    at net.minecraft.server.MinecraftServer.main(MinecraftServer.java:636)

Caused by: java.lang.NullPointerException

    at java.io.Reader.<init>(Unknown Source)

    at java.io.InputStreamReader.<init>(Unknown Source)

    at on.a(StringTranslate.java:62)

    at on.a(StringTranslate.java:92)

    at on.<init>(StringTranslate.java:25)

    at on.<clinit>(StringTranslate.java:9)

    ... 9 more

If I just place a normal minecraft_server.jar file into the folder everything starts fine, so does my .jar file for a tekkit server. I'm really confused I see that it is possible to run 0.5.3 servers as there are many listed on this forum. Is anyone able to help me I feel so silly. I've tried the server files from both the 0.5.3 prerelease and the main release with the same problem.

I have came to a conclusion that The Server files you drag in are causing the jar to mot be able to run properly so I would assume using single player for 0.5.3 or going back to 0.5.2
Link to comment
Share on other sites

Re: How To Set Up A 1.2.3 Server With Hack/Mine

I have came to a conclusion that some of the class files in the Pre 0.5.3 overwrite some of the class files to run the server, so this means that 0.5.3 does not work for Multi-player yet. But don't worry it will when it has been released properly.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...